Package org.eclipse.emf.cdo.spi.common.model

# Interface InternalCDOPackageUnit

All Superinterfaces:
  `CDOPackageUnit`, `CDOTimeProvider`, `Comparable<CDOPackageUnit>`

public interface InternalCDOPackageUnit extends CDOPackageUnit
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageUnit

`CDOPackageUnit.State, CDOPackageUnit.Type`

## Method Summary

Modifier and Type
Method
Description
`InternalCDOPackageUnit`
`copy()`
`void`
`dispose()`
`InternalCDOPackageInfo`
`getPackageInfo(String packageURI)`
Returns the `package info` object that describes the `package` with the given namespace URI, or `null` if this package unit does not contain a package with this URI.
`InternalCDOPackageInfo[]`
`getPackageInfos()`
Returns all `package info` objects of the nested package tree structure described by this package unit in depth-first traversal order.
`InternalCDOPackageRegistry`
`getPackageRegistry()`
Returns the package registry this package unit is managed by.
`InternalCDOPackageInfo`
`getTopLevelPackageInfo()`
Returns the `package info` object that describes the top level `package` of the nested package tree structure described by this package unit.
`void`
`init(EPackage ePackage)`
`void`
`load(boolean resolve)`
`void`
`load(InternalCDOPackageRegistry.PackageLoader packageLoader, boolean resolve)`
`void`
`read(CDODataInput in, ResourceSet resourceSet)`
`void`
`setOriginalType(CDOPackageUnit.Type originalType)`
`void`
`setPackageInfos(InternalCDOPackageInfo[] packageInfos)`
`void`
`setPackageRegistry(InternalCDOPackageRegistry packageRegistry)`
`void`
`setState(CDOPackageUnit.State state)`
`void`
`setTimeStamp(long timeStamp)`
`void`
`write(CDODataOutput out, boolean withPackages)`

### Methods inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageUnit

`getEPackages, getID, getOriginalType, getState, getTimeStamp, getType, isResource, isSystem`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Method Details

### getPackageRegistry

InternalCDOPackageRegistry getPackageRegistry()
Description copied from interface: `CDOPackageUnit`
Returns the package registry this package unit is managed by.

Specified by:
  `getPackageRegistry` in interface `CDOPackageUnit`

### setPackageRegistry

void setPackageRegistry(InternalCDOPackageRegistry packageRegistry)

### setState

void setState(CDOPackageUnit.State state)

### setOriginalType

void setOriginalType(CDOPackageUnit.Type originalType)

### setTimeStamp

void setTimeStamp(long timeStamp)

### getTopLevelPackageInfo

InternalCDOPackageInfo getTopLevelPackageInfo()
Description copied from interface: `CDOPackageUnit`
Returns the `package info` object that describes the top level `package` of the nested package tree structure described by this package unit.

Specified by:
  `getTopLevelPackageInfo` in interface `CDOPackageUnit`

### getPackageInfo

InternalCDOPackageInfo getPackageInfo(String packageURI)
Description copied from interface: `CDOPackageUnit`
Returns the `package info` object that describes the `package` with the given namespace URI, or `null` if this package unit does not contain a package with this URI.

Specified by:
  `getPackageInfo` in interface `CDOPackageUnit`

### getPackageInfos

InternalCDOPackageInfo[] getPackageInfos()
Description copied from interface: `CDOPackageUnit`
Returns all `package info` objects of the nested package tree structure described by this package unit in depth-first traversal order.

Specified by:
  `getPackageInfos` in interface `CDOPackageUnit`

### setPackageInfos

void setPackageInfos(InternalCDOPackageInfo[] packageInfos)

### load

void load(boolean resolve)

Since:
  4.0

### load

void load(InternalCDOPackageRegistry.PackageLoader packageLoader, boolean resolve)

Since:
  4.0

### write

void write(CDODataOutput out, boolean withPackages) throws IOException

Throws:
  `IOException`
Since:
  3.0

### read

void read(CDODataInput in, ResourceSet resourceSet) throws IOException

Throws:
  `IOException`
Since:
  3.0

### copy

InternalCDOPackageUnit copy()

Since:
  4.4

### init

void init(EPackage ePackage)

### dispose

void dispose()